%define anolis_release .0.2
Name:           docparser
Version:        1.0.3
Release:        1%{anolis_release}%{?dist}
Summary:        A document parser library ported from document2html

# The entire source code is GPLv2+ except
# src/utils/getoptpp.* which are Boost,
# src/utils/json.hpp,
# src/utils/miniz.c,
# src/utils/pugiconfig.hpp,
# src/utils/pugixml.cpp and
# src/utils/pugixml.hpp
# which are MIT,
# /src/utils/lodepng.* which are zlib
License:        GPLv3+ and Boost and MIT and zlib
URL:            https://github.com/linuxdeepin/docparser
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(poppler-cpp)
BuildRequires:  pkgconfig(Qt5Core)

%description
This file content analysis library is provided for the full-text search function
of document management.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and libraries for %{name}.

%prep
%autosetup

%build
export PATH=%{_qt5_bindir}:$PATH
%qmake_qt5 LIB_INSTALL_DIR=%{_libdir}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.1*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Jan 12 2024 yangxianzhao <yangxianzhao@uniontech.com> - 1.0.3-1.0.2
- rebuild for qt5-qtbase

* Wed Sep 20 2023 yangxianzhao <yangxianzhao@uniontech.com> - 1.0.3-1.0.1
- rebuild for qt5-qtbase-5.15.3

* Mon Dec 26 2022 liweiganga <liweiganga@uniontech.com> - 1.0.3-1
- init: init package
